Skip to content

Create a new file.

Request

To upload a new file, you'll first need to use the File API. It will give you a URL – use that URL to upload your file. Once the upload is finished, you can use the file_id from the same response to start using our AI features.

Security
BearerAuthenticationV2
Bodyapplication/jsonrequired
filesArray of objectsrequired
POST
/s2s/v2.0/file/2d-vto/ring
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/file/2d-vto/ring \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "files": [
      {
        "content_type": "image/jpg",
        "file_name": "my-selfie.jpg",
        "file_size": 50000
      }
    ]
  }'

Responses

Successful retrieval of file upload information

Bodyapplication/json
filesArray of objects
Response
{ "files": [ {} ] }